org.keycloak.jose.jwe.alg

## Class KeyEncryptionJWEAlgorithmProvider

- java.lang.Object
- - org.keycloak.jose.jwe.alg.KeyEncryptionJWEAlgorithmProvider

- All Implemented Interfaces:
    JWEAlgorithmProvider
  Direct Known Subclasses:
    RsaKeyEncryption256JWEAlgorithmProvider, RsaKeyEncryptionJWEAlgorithmProvider

      public abstract class KeyEncryptionJWEAlgorithmProvider
      extends Object
      implements JWEAlgorithmProvider

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyEncryptionJWEAlgorithmProvider()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `decodeCek(byte[] encodedCek, Key privateKey)`
    `byte[]` | `encodeCek(JWEEncryptionProvider encryptionProvider, JWEKeyStorage keyStorage, Key publicKey)`
    `protected abstract Cipher` | `getCipherProvider()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyEncryptionJWEAlgorithmProvider

          public KeyEncryptionJWEAlgorithmProvider()

  - ### Method Detail

    - #### decodeCek

          public byte[] decodeCek(byte[] encodedCek,
                                  Key privateKey)
                           throws Exception

      Specified by:
        `decodeCek` in interface `JWEAlgorithmProvider`
      Throws:
        `Exception`

    - #### encodeCek

          public byte[] encodeCek(JWEEncryptionProvider encryptionProvider,
                                  JWEKeyStorage keyStorage,
                                  Key publicKey)
                           throws Exception

      Specified by:
        `encodeCek` in interface `JWEAlgorithmProvider`
      Throws:
        `Exception`

    - #### getCipherProvider

          protected abstract Cipher getCipherProvider()
                                               throws Exception

      Throws:
        `Exception`

Copyright © 2021 JBoss by Red Hat. All rights reserved.